Bug 215290 - [NEW PORT] www/tomcat85: Open-source Java web server by Apache, 8.5.x branch
Summary: [NEW PORT] www/tomcat85: Open-source Java web server by Apache, 8.5.x branch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthew Rezny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-13 20:41 UTC by VVD
Modified: 2017-04-08 15:04 UTC (History)
3 users (show)

See Also:


Attachments
Port www/tomcat85 (6.24 KB, application/x-xz)
2016-12-13 20:41 UTC, VVD
no flags Details
tomcat85.shar (40.65 KB, text/plain)
2017-01-15 13:53 UTC, VVD
no flags Details
tomcat9.shar (40.62 KB, text/plain)
2017-01-15 13:54 UTC, VVD
no flags Details
tomcat85.shar (40.65 KB, text/plain)
2017-01-15 13:58 UTC, VVD
no flags Details
tomcat9.shar (40.62 KB, text/plain)
2017-01-15 13:59 UTC, VVD
no flags Details
tomcat9.shar - 9.0.0.M17 (39.79 KB, text/plain)
2017-01-25 00:37 UTC, VVD
no flags Details
tomcat85.shar (40.55 KB, text/plain)
2017-01-31 00:40 UTC, VVD
no flags Details
tomcat8.diff - 8.0.41 (2.71 KB, patch)
2017-01-31 00:47 UTC, VVD
no flags Details | Diff
tomcat7.diff - 7.0.75 (2.95 KB, patch)
2017-01-31 00:54 UTC, VVD
no flags Details | Diff
tomcat9.shar - 9.0.0.M17 (39.83 KB, text/plain)
2017-01-31 20:01 UTC, VVD
no flags Details
tomcat9.diff - 9.0.0.M18 (39.70 KB, patch)
2017-03-24 02:53 UTC, VVD
no flags Details | Diff
tomcat85.diff - 8.5.12 (40.42 KB, patch)
2017-03-24 02:55 UTC, VVD
no flags Details | Diff
tomcat85.diff - 8.5.12 (40.42 KB, patch)
2017-03-24 03:16 UTC, VVD
no flags Details | Diff
tomcat9.diff - 9.0.0.M18 (39.94 KB, patch)
2017-03-24 03:17 UTC, VVD
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2016-12-13 20:41:34 UTC
Created attachment 177953 [details]
Port www/tomcat85

This is www/tomcat85 port.
Tested on 11.0 amd64 with java/openjdk8 and with www/tomcat-native.
Comment 1 VK freebsd_triage 2017-01-10 01:20:47 UTC
Thanks for the patch, but please submit it in SHAR format as described here:

* https://www.freebsd.org/doc/en/books/porters-handbook/porting-submitting.html

Also please set yourself as MAINTAINER (please use the same e-mail address you used for Bugzilla) and please use only this as the starting comment:

# $FreeBSD$
Comment 2 VVD 2017-01-15 13:53:13 UTC
Created attachment 178915 [details]
tomcat85.shar
Comment 3 VVD 2017-01-15 13:54:03 UTC
Created attachment 178916 [details]
tomcat9.shar
Comment 4 VVD 2017-01-15 13:57:42 UTC
Added tomcat85.shar (www/tomcat85) and tomcat9.shar (www/tomcat9).
Please, check both.
Comment 5 VVD 2017-01-15 13:58:27 UTC
Created attachment 178917 [details]
tomcat85.shar
Comment 6 VVD 2017-01-15 13:59:17 UTC
Created attachment 178918 [details]
tomcat9.shar
Comment 7 VVD 2017-01-25 00:37:28 UTC
Created attachment 179297 [details]
tomcat9.shar - 9.0.0.M17

Updated tomcat9 from version 9.0.0.M15 to 9.0.0.M17.
Comment 8 VVD 2017-01-31 00:40:49 UTC
Created attachment 179448 [details]
tomcat85.shar

www/tomcat85 updated from 8.5.9 to 8.5.11.
Comment 9 VVD 2017-01-31 00:47:23 UTC
Created attachment 179449 [details]
tomcat8.diff - 8.0.41

www/tomcat8 updated from version 8.0.39 to 8.0.41.
Comment 10 VVD 2017-01-31 00:54:24 UTC
Created attachment 179450 [details]
tomcat7.diff - 7.0.75

www/tomcat7 updated from version 7.0.73 to 7.0.75.
Comment 11 VVD 2017-01-31 20:01:25 UTC
Created attachment 179479 [details]
tomcat9.shar - 9.0.0.M17

Install path changed from apache-tomcat-9.0.0 to apache-tomcat-9.0, but (IMHO) it's dirty hack - don't know how to do this better:
TOMCAT_SUBDIR_M?=       ${DISTNAME:R}
TOMCAT_SUBDIR?= ${TOMCAT_SUBDIR_M:R}
TOMCAT_HOME=    ${PREFIX}/${TOMCAT_SUBDIR}
Comment 12 Nick Evans 2017-02-07 20:07:12 UTC
Any timeline on getting the 8.5 port committed?
Comment 13 Nick Evans 2017-02-28 16:29:54 UTC
Any updates?
Comment 14 VVD 2017-02-28 18:21:08 UTC
Tomcat native 1.2.12 was released 2017-02-21.
Comment 15 VVD 2017-03-24 02:53:49 UTC
Created attachment 181117 [details]
tomcat9.diff - 9.0.0.M18
Comment 16 VVD 2017-03-24 02:55:20 UTC
Created attachment 181118 [details]
tomcat85.diff - 8.5.12
Comment 17 VVD 2017-03-24 03:16:38 UTC
Created attachment 181120 [details]
tomcat85.diff - 8.5.12
Comment 18 VVD 2017-03-24 03:17:16 UTC
Created attachment 181121 [details]
tomcat9.diff - 9.0.0.M18
Comment 19 commit-hook freebsd_committer 2017-03-29 20:01:33 UTC
A commit references this bug:

Author: rezny
Date: Wed Mar 29 19:31:54 UTC 2017
New revision: 437225
URL: https://svnweb.freebsd.org/changeset/ports/437225

Log:
  Add Apache Tomcat 8.5 port

  Apache Tomcat version 8.5 implements the Servlet 3.1, JavaServer Pages 2.3,
  Java Unified Expression Language 3.0 and Java WebSocket 1.1 specifications
  from the Java Community Process, and includes many additional features that
  make it a useful platform for developing and deploying web applications and
  web services. Tomcat 8.5 is aligned with Java EE 7.

  PR:		215290
  Submitted by:	vvd@unislabs.com
  Approved by:	swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10127

Changes:
  head/www/Makefile
  head/www/tomcat85/
  head/www/tomcat85/Makefile
  head/www/tomcat85/distinfo
  head/www/tomcat85/files/tomcat8.in
  head/www/tomcat85/files/tomcat85.in
  head/www/tomcat85/pkg-descr
  head/www/tomcat85/pkg-plist
Comment 20 VVD 2017-03-29 23:54:02 UTC
Thanks!

Can you add 9.0 alpha too?
Comment 21 Matthew Rezny freebsd_committer 2017-03-30 00:25:36 UTC
(In reply to vvd from comment #20)

After comparing 9.0 to 8.5 and noticing that it is still in alpha, it occurred to me that this might be better called tomcat-devel for the time being. When the first non-beta 9.0.0 release is made, create the tomcat9 port as a copy at that time and then move tomcat-devel to the next development release, 10.0.0M1 or whatever it shall be. That helps make it clear what the status is, those who want to test the new know where to look for it and those after the latest stable release won't take it by mistake, which may happen if it is labeled tomcat9 and someone just grabs the one with largest number without reading the description.
Comment 22 commit-hook freebsd_committer 2017-04-07 22:32:10 UTC
A commit references this bug:

Author: rezny
Date: Fri Apr  7 22:32:02 UTC 2017
New revision: 437962
URL: https://svnweb.freebsd.org/changeset/ports/437962

Log:
  Add Apache Tomcat development port starting on 9.0 alpha

  This is the version of Tomcat currently under active development.
  Development releases may contain large amounts of untested or missing
  functionality required by the specification and/or significant
  bugs and are not expected to run stably for any length of time.

  PR:		215290
  Submitted by:	vvd@unislabs.com
  Approved by:	swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10226

Changes:
  head/www/Makefile
  head/www/tomcat-devel/
  head/www/tomcat-devel/Makefile
  head/www/tomcat-devel/distinfo
  head/www/tomcat-devel/files/tomcat-devel.in
  head/www/tomcat-devel/files/tomcat85.in
  head/www/tomcat-devel/pkg-descr
  head/www/tomcat-devel/pkg-plist
Comment 23 Matthew Rezny freebsd_committer 2017-04-07 22:35:24 UTC
Done. Thank you for submitting these additions.
Comment 24 VVD 2017-04-08 00:02:53 UTC
Small error:

--- Makefile.orig   2017-04-08 03:00:13.554881000 +0300
+++ Makefile        2017-04-08 02:59:15.285739000 +0300
@@ -25,7 +25,7 @@
 
 USE_RC_SUBR=   ${PKGBASE}
 
-TOMCAT_SUBDIR?=        ${PORTVERSION:C/([0-9])\.([0-9])(.*)/\1.\2/}
+TOMCAT_SUBDIR?=        ${DISTNAME:C/([0-9])\.([0-9])(.*)/\1.\2/}
 TOMCAT_HOME=   ${PREFIX}/${TOMCAT_SUBDIR}
 TOMCAT_CONF_FILES=     \
                catalina.policy catalina.properties context.xml logging.properties \
Comment 25 commit-hook freebsd_committer 2017-04-08 02:59:35 UTC
A commit references this bug:

Author: rezny
Date: Sat Apr  8 02:58:37 UTC 2017
New revision: 437979
URL: https://svnweb.freebsd.org/changeset/ports/437979

Log:
  Correct TOMCAT_SUBDIR which was based on the wrong variable

  PR:		215290
  Reported by:	vvd@unislabs.com
  Approved by:	swills (mentor)

Changes:
  head/www/tomcat-devel/Makefile
Comment 26 VVD 2017-04-08 13:53:41 UTC
Sorry. but it's faster than make one more PR (and to attach files - can't attach more than 1 file in 1 time). Thanks!

========================================================
Update version tomcat-devel from 9.0.0.M18 to 9.0.0.M19:
--------------------------------------------------------
diff -abBur tomcat-devel.old/distinfo tomcat-devel/distinfo
--- tomcat-devel.old/distinfo
+++ tomcat-devel/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1490321753
-SHA256 (apache-tomcat-9.0.0.M18.tar.gz) = 75a0b023fcd9fcc31acc203940de840a2b31468b3eba55766c5fcd58402c722c
-SIZE (apache-tomcat-9.0.0.M18.tar.gz) = 9287772
+TIMESTAMP = 1491656903
+SHA256 (apache-tomcat-9.0.0.M19.tar.gz) = 6e21a9e2c4d1549d446a90de674ebe2bd873413f4b752726bc96b154226ad153
+SIZE (apache-tomcat-9.0.0.M19.tar.gz) = 9317978
diff -abBur tomcat-devel.old/Makefile tomcat-devel/Makefile
--- tomcat-devel.old/Makefile
+++ tomcat-devel/Makefile
@@ -2,7 +2,7 @@
 # $FreeBSD: head/www/tomcat-devel/Makefile 437979 2017-04-08 02:58:37Z rezny $
 
 PORTNAME=      tomcat
-PORTVERSION=   9.0.0.M18
+PORTVERSION=   9.0.0.M19
 CATEGORIES=    www java
 MASTER_SITES=  APACHE/${PORTNAME}/${PORTNAME}-${PORTVERSION:C/([0-9])(.*)/\1/}/v${PORTVERSION}/bin
 PKGNAMESUFFIX= -devel
========================================================
Update version tomcat85 from 8.5.12 to 8.5.13:
--------------------------------------------------------
--- tomcat85.old/distinfo
+++ tomcat85/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1490321344
-SHA256 (apache-tomcat-8.5.12.tar.gz) = 6d2cad1b595d0cc8083f9bbbb73c359d611249c7eaf283c40cb4ae4ca9c4644a
-SIZE (apache-tomcat-8.5.12.tar.gz) = 9353658
+TIMESTAMP = 1491657832
+SHA256 (apache-tomcat-8.5.13.tar.gz) = 19d5218dfc0a759cd47ec6ac371de69f5d005ce4327a6677e945b64453713c75
+SIZE (apache-tomcat-8.5.13.tar.gz) = 9375265
diff -abBur tomcat85.orig/Makefile tomcat85/Makefile
--- tomcat85.old/Makefile
+++ tomcat85/Makefile
@@ -2,7 +2,7 @@
 # $FreeBSD: head/www/tomcat85/Makefile 437225 2017-03-29 19:31:53Z rezny $
 
 PORTNAME=      tomcat
-PORTVERSION=   8.5.12
+PORTVERSION=   8.5.13
 CATEGORIES=    www java
 MASTER_SITES=  APACHE/tomcat/tomcat-8/v${PORTVERSION}/bin
 PKGNAMESUFFIX= 85
========================================================
Update version tomcat8 from 8.0.41 to 8.0.43:
--------------------------------------------------------
--- tomcat8.old/distinfo
+++ tomcat8/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1487233810
-SHA256 (apache-tomcat-8.0.41.tar.gz) = a57204b5434755b5767299bbcd32e3afd2d6327cafa6b8372077f824aa7176d7
-SIZE (apache-tomcat-8.0.41.tar.gz) = 9254743
+TIMESTAMP = 1491658211
+SHA256 (apache-tomcat-8.0.43.tar.gz) = b8709ca3e3446d52958d6ed85387aa0d5c5288e5a492fc8c9cac4c5c64180691
+SIZE (apache-tomcat-8.0.43.tar.gz) = 9323896
diff -abBur tomcat8.old/Makefile tomcat8/Makefile
--- tomcat8.old/Makefile        2017-02-16 12:17:22.000000000 +0300
+++ tomcat8/Makefile    2017-04-08 16:29:08.423830000 +0300
@@ -2,7 +2,7 @@
 # $FreeBSD: head/www/tomcat8/Makefile 434199 2017-02-16 09:17:22Z ale $
 
 PORTNAME=      tomcat
-PORTVERSION=   8.0.41
+PORTVERSION=   8.0.43
 CATEGORIES=    www java
 MASTER_SITES=  APACHE/tomcat/tomcat-8/v${PORTVERSION}/bin
 PKGNAMESUFFIX= 8
diff -abBur tomcat8.old/pkg-plist tomcat8/pkg-plist
--- tomcat8.old/pkg-plist
+++ tomcat8/pkg-plist
@@ -37,7 +37,7 @@
 %%T%%/lib/catalina-storeconfig.jar
 %%T%%/lib/catalina-tribes.jar
 %%T%%/lib/catalina.jar
-%%T%%/lib/ecj-4.5.1.jar
+%%T%%/lib/ecj-4.6.1.jar
 %%T%%/lib/el-api.jar
 %%T%%/lib/jasper-el.jar
 %%T%%/lib/jasper.jar
========================================================
Update version tomcat7 from 7.0.75 to 7.0.77:
--------------------------------------------------------
diff -abBur tomcat7.old/distinfo tomcat7/distinfo
--- tomcat7.old/distinfo
+++ tomcat7/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1487233798
-SHA256 (apache-tomcat-7.0.75.tar.gz) = d19a2fbbc23e310296d1e978f8e8f977b54cd328ce10cd879b58a443bc6eaa70
-SIZE (apache-tomcat-7.0.75.tar.gz) = 8940285
+TIMESTAMP = 1491658914
+SHA256 (apache-tomcat-7.0.77.tar.gz) = 10a984f92e828ca97b4682318cac0d0ddf4220d88244ec4b25f8e3dd13b17979
+SIZE (apache-tomcat-7.0.77.tar.gz) = 8967197
diff -abBur tomcat7.old/Makefile tomcat7/Makefile
--- tomcat7.old/Makefile
+++ tomcat7/Makefile
@@ -2,7 +2,7 @@
 # $FreeBSD: head/www/tomcat7/Makefile 434198 2017-02-16 09:16:18Z ale $
 
 PORTNAME=      tomcat
-PORTVERSION=   7.0.75
+PORTVERSION=   7.0.77
 CATEGORIES=    www java
 MASTER_SITES=  APACHE/tomcat/tomcat-7/v${PORTVERSION}/bin
 PKGNAMESUFFIX= 7
========================================================
Update version tomcat6 from 6.0.51 to 6.0.53:
--------------------------------------------------------
diff -abBur tomcat6.old/distinfo tomcat6/distinfo
--- tomcat6.old/distinfo        2017-03-18 04:35:43.000000000 +0300
+++ tomcat6/distinfo    2017-04-08 16:46:11.454388000 +0300
@@ -1,3 +1,3 @@
-TIMESTAMP = 1489799677
-SHA256 (apache-tomcat-6.0.51.tar.gz) = 8fe88622ba099110a5f6b85856af262a55f79e31700525fe0d2e961433b3a6b9
-SIZE (apache-tomcat-6.0.51.tar.gz) = 7105938
+TIMESTAMP = 1491659171
+SHA256 (apache-tomcat-6.0.53.tar.gz) = 35249a4b40f41fb5f602f5602142d59faaa96dc1567df807d108d4d2b942e2f0
+SIZE (apache-tomcat-6.0.53.tar.gz) = 7110610
diff -abBur tomcat6.old/Makefile tomcat6/Makefile
--- tomcat6.old/Makefile        2017-03-18 04:35:43.000000000 +0300
+++ tomcat6/Makefile    2017-04-08 16:46:05.654637000 +0300
@@ -2,7 +2,7 @@
 # $FreeBSD: head/www/tomcat6/Makefile 436372 2017-03-18 01:35:43Z junovitch $
 
 PORTNAME=      tomcat
-PORTVERSION=   6.0.51
+PORTVERSION=   6.0.53
 CATEGORIES=    www java
 MASTER_SITES=  APACHE/tomcat/tomcat-6/v${PORTVERSION}/bin
 DISTNAME=      apache-${PORTNAME}-${PORTVERSION}
========================================================